<?php
/*Blog Page Settings*/
$wp_customize->add_section(
	'blog_page_settings',
	array(
		'priority'    => 6,
		'panel'       => 'food-blogger',
		'title'       => __( 'Blog Settings', 'food-blogger' ),
		'description' => __( 'Customize Blog Page', 'food-blogger' ),
		'capability'  => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'grid_column',
	array(
		'default'           => 'col-sm-4',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'food_blogger_sanitize_radio',
	)
);
$wp_customize->add_control(
	'grid_column',
	array(
		'label'   => __( 'Grid Column', 'food-blogger' ),
		'section' => 'blog_page_settings',
		'type'    => 'radio',
		'choices' => array(
			'col-sm-3' => __( '4 Colmun', 'food-blogger' ),
			'col-sm-4' => __( '3 Column', 'food-blogger' ),
			'col-sm-6' => __( '2 Column', 'food-blogger' ),
		),
	)
);
$wp_customize->add_setting(
	'blog_page_sidebar',
	array(
		'default'           => 'no',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'food_blogger_sanitize_radio',
	)
);
$wp_customize->add_control(
	'blog_page_sidebar',
	array(
		'label'   => __( 'Blog & Archive Page Sidebar', 'food-blogger' ),
		'section' => 'blog_page_settings',
		'type'    => 'radio',
		'choices' => array(
			'left'  => __( 'Left Sidebar', 'food-blogger' ),
			'right' => __( 'Right Sidebar', 'food-blogger' ),
			'no'    => __( 'No Sidebar', 'food-blogger' ),
		),
	)
);

$wp_customize->add_setting(
	'blog_page_pagination',
	array(
		'default'           => 'center',
		'transport'         => 'refresh', // Options: refresh or postMessage.
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'food_blogger_sanitize_radio',
	)
);
$wp_customize->add_control(
	'blog_page_pagination',
	array(
		'label'   => __( 'Pagination Alignment', 'food-blogger' ),
		'section' => 'blog_page_settings',
		'type'    => 'radio',
		'choices' => array(
			'left'   => __( 'Left', 'food-blogger' ),
			'right'  => __( 'Right', 'food-blogger' ),
			'center' => __( 'center', 'food-blogger' ),
		),
	)
);
