<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Food Blogger
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'food-blogger-standard-post' ); ?>>
	<div class="food-blogger-standard-post__entry-content text-left">
		<div class="food-blogger-standard-post__thumbnail post-header">
			<?php food_blogger_post_thumbnail(); ?>
			<div class="food-blogger-standard-post__blog-meta category-above-thumbnail mt-0">
				<?php food_blogger_categories(); ?>
			</div>
		</div>
		<div class="food-blogger-standard-post__content-wrapper">
			<div class="food-blogger-standard-post__post-title p-0">
				<h1><?php the_title(); ?></h1>
			</div>
			<div class="food-blogger-standard-post__blog-meta p-0">
				<?php food_blogger_posted_by( true ); ?>
				<?php food_blogger_posted_on(); ?>
			</div>
			<div class="food-blogger-standard-post__full-summery text-left">
				<?php
					the_content();
					wp_link_pages(
						array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'food-blogger' ),
							'after'  => '</div>',
						)
					);
					?>
			</div>
			<?php if ( has_tag() ) : ?>
			<div class="d-flex justify-content-between Food Blogger-standard-post__share-wrapper">
				<div class="food-blogger-standard-post__tags align-self-center">
					<?php food_blogger_post_tag(); ?>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
	<div class="post-author d-flex mb-5">
		<div class="author-image">
			<?php
			echo get_avatar( get_the_author_meta( 'ID' ), 200, '', '', null );
			?>
		</div>
		<div class="author-about">
			<h4><?php echo esc_html( get_the_author_meta( 'nickname' ) ); ?></h4>
			<p><?php echo wp_kses_post( get_the_author_meta( 'description' ) ); ?></p>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
